/* 
 * DNet eBusiness Suite
 * Copyright: Nan21 Electronics SRL. All rights reserved.
 * Use is subject to license terms.
 */
package net.nan21.dnet.module.sc.invoice.ds.model;

import java.util.Date;
import net.nan21.dnet.core.api.annotation.Ds;
import net.nan21.dnet.core.api.annotation.DsField;
import net.nan21.dnet.core.presenter.model.base.AbstractAuditableDs;
import net.nan21.dnet.module.sc.invoice.domain.entity.PurchaseTxAmount;

/** Data-provider for a standalone payables overview */
@Ds(entity = PurchaseTxAmount.class)
public class PurchaseTxAmountOverviewDs
		extends
			AbstractAuditableDs<PurchaseTxAmount> {

	public static final String fCUSTOMERID = "customerId";
	public static final String fCUSTOMER = "customer";
	public static final String fSUPPLIERID = "supplierId";
	public static final String fSUPPLIERCODE = "supplierCode";
	public static final String fSUPPLIER = "supplier";
	public static final String fINVOICEID = "invoiceId";
	public static final String fINVOICECODE = "invoiceCode";
	public static final String fINVOICEDOCNO = "invoiceDocNo";
	public static final String fINVOICEDOCDATE = "invoiceDocDate";
	public static final String fCURRENCYID = "currencyId";
	public static final String fCURRENCY = "currency";
	public static final String fORDERID = "orderId";
	public static final String fDUEDATE = "dueDate";
	public static final String fDUEINDAYS = "dueInDays";
	public static final String fDUEAMOUNT = "dueAmount";
	public static final String fPAYEDAMOUNT = "payedAmount";
	public static final String fOUTSTANDINGAMOUNT = "outstandingAmount";
	public static final String fPAYMENTMETHODID = "paymentMethodId";
	public static final String fPAYMENTMETHOD = "paymentMethod";

	@DsField(join = "left", path = "org.id")
	private Long customerId;

	@DsField(join = "left", path = "org.code")
	private String customer;

	@DsField(join = "left", path = "bpartner.id")
	private Long supplierId;

	@DsField(join = "left", path = "bpartner.code")
	private String supplierCode;

	@DsField(join = "left", path = "bpartner.name")
	private String supplier;

	@DsField(join = "left", path = "invoice.id")
	private Long invoiceId;

	@DsField(join = "left", path = "invoice.code")
	private String invoiceCode;

	@DsField(join = "left", path = "invoice.docNo")
	private String invoiceDocNo;

	@DsField(join = "left", path = "invoice.docDate")
	private Date invoiceDocDate;

	@DsField(join = "left", path = "currency.id")
	private Long currencyId;

	@DsField(join = "left", path = "currency.code")
	private String currency;

	@DsField(join = "left", path = "order.id")
	private Long orderId;

	@DsField()
	private Date dueDate;

	@DsField(fetch = false)
	private Integer dueInDays;

	@DsField()
	private Float dueAmount;

	@DsField()
	private Float payedAmount;

	@DsField(path = "amount")
	private Float outstandingAmount;

	@DsField(join = "left", path = "paymentMethod.id")
	private Long paymentMethodId;

	@DsField(join = "left", path = "paymentMethod.name")
	private String paymentMethod;

	public PurchaseTxAmountOverviewDs() {
		super();
	}

	public PurchaseTxAmountOverviewDs(PurchaseTxAmount e) {
		super(e);
	}

	public Long getCustomerId() {
		return this.customerId;
	}

	public void setCustomerId(Long customerId) {
		this.customerId = customerId;
	}

	public String getCustomer() {
		return this.customer;
	}

	public void setCustomer(String customer) {
		this.customer = customer;
	}

	public Long getSupplierId() {
		return this.supplierId;
	}

	public void setSupplierId(Long supplierId) {
		this.supplierId = supplierId;
	}

	public String getSupplierCode() {
		return this.supplierCode;
	}

	public void setSupplierCode(String supplierCode) {
		this.supplierCode = supplierCode;
	}

	public String getSupplier() {
		return this.supplier;
	}

	public void setSupplier(String supplier) {
		this.supplier = supplier;
	}

	public Long getInvoiceId() {
		return this.invoiceId;
	}

	public void setInvoiceId(Long invoiceId) {
		this.invoiceId = invoiceId;
	}

	public String getInvoiceCode() {
		return this.invoiceCode;
	}

	public void setInvoiceCode(String invoiceCode) {
		this.invoiceCode = invoiceCode;
	}

	public String getInvoiceDocNo() {
		return this.invoiceDocNo;
	}

	public void setInvoiceDocNo(String invoiceDocNo) {
		this.invoiceDocNo = invoiceDocNo;
	}

	public Date getInvoiceDocDate() {
		return this.invoiceDocDate;
	}

	public void setInvoiceDocDate(Date invoiceDocDate) {
		this.invoiceDocDate = invoiceDocDate;
	}

	public Long getCurrencyId() {
		return this.currencyId;
	}

	public void setCurrencyId(Long currencyId) {
		this.currencyId = currencyId;
	}

	public String getCurrency() {
		return this.currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public Long getOrderId() {
		return this.orderId;
	}

	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}

	public Date getDueDate() {
		return this.dueDate;
	}

	public void setDueDate(Date dueDate) {
		this.dueDate = dueDate;
	}

	public Integer getDueInDays() {
		return this.dueInDays;
	}

	public void setDueInDays(Integer dueInDays) {
		this.dueInDays = dueInDays;
	}

	public Float getDueAmount() {
		return this.dueAmount;
	}

	public void setDueAmount(Float dueAmount) {
		this.dueAmount = dueAmount;
	}

	public Float getPayedAmount() {
		return this.payedAmount;
	}

	public void setPayedAmount(Float payedAmount) {
		this.payedAmount = payedAmount;
	}

	public Float getOutstandingAmount() {
		return this.outstandingAmount;
	}

	public void setOutstandingAmount(Float outstandingAmount) {
		this.outstandingAmount = outstandingAmount;
	}

	public Long getPaymentMethodId() {
		return this.paymentMethodId;
	}

	public void setPaymentMethodId(Long paymentMethodId) {
		this.paymentMethodId = paymentMethodId;
	}

	public String getPaymentMethod() {
		return this.paymentMethod;
	}

	public void setPaymentMethod(String paymentMethod) {
		this.paymentMethod = paymentMethod;
	}
}
